# -*- coding: utf-8 -*-

from odoo import models, fields


class SkeenDiagnostico(models.Model):
    _name = 'skeen.diagnostico'
    _description = 'Catálogo de Diagnósticos SKEEN'
    _order = 'name'

    name = fields.Char(string='Nombre', required=True)
    categoria = fields.Char(string='Categoría')
    descripcion = fields.Text(string='Descripción')
    active = fields.Boolean(string='Activo', default=True)


class SkeenProcedimiento(models.Model):
    _name = 'skeen.procedimiento'
    _description = 'Catálogo de Procedimientos Médicos SKEEN'
    _order = 'name'

    name = fields.Char(string='Nombre', required=True)
    categoria = fields.Char(string='Categoría')
    descripcion = fields.Text(string='Descripción')
    active = fields.Boolean(string='Activo', default=True)
